<?php
// $Id$ mailchimp_panels.module,v 1.0 2014/03/20 14:15:07 chriscalip Exp $
/**
 * @file
 * Provides additional content type MailChimp Subscription Page Form(s) form for panels use
 */

if (module_exists('mailchimp')) {
  /**
   * Plugins are described by creating a $plugin array which will be used
   * by the system that includes this file.
   */
  $plugin = array(
    'single' => TRUE,
    'title' => t('Mailchimp Subscription Page Form(s).'),
    'description' => t('Mailchimp Suitable Subscription Form(s) based on user., the subscription forms that will appear based on mailchimp preferences. '),
    'category' => array(t('Miscellaneous'), -8)
  );
}

/**
 * Render the custom content type.
 */
function mailchimp_panels_mcsubscribe_content_type_render($subtype, $conf, $panel_args, $context) {
  // Build the content type block.
  $block = new stdClass();
  $block->module = 'form';
  $block->title = mailchimp_subscribe_page_title();
  $block->content = mailchimp_subscribe_page();
  return $block;
}

/**
 * Returns an edit form for custom type settings.
 */
function mailchimp_panels_mcsubscribe_content_type_edit_form(&$form, &$form_state) {
  // @todo placeholder stuff for now
}

/**
 * Submit handler for contact form.
 */
function mailchimp_panels_mcsubscribe_content_type_edit_form_submit(&$form, &$form_state) {
  // @todo placeholder stuff for now
}

/**
 * Returns the administrative title for a type.
 */
function mailchimp_panels_mcsubscribe_content_type_admin_title($subtype, $conf, $context) {
  return t('Mailchimp Subscription Page Form(s).');
}
